/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Tribal Courage\MaskOfCourage.cs
Lines of code: 33
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MaskOfCourage : SavageMask
	{
		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 4; } }
		public override int BaseColdResistance{ get{ return 8; } }
		public override int BasePoisonResistance{ get{ return 2; } }
		public override int BaseEnergyResistance{ get{ return 7; } }

		[Constructable]
		public MaskOfCourage()
		{
			Name = "Tribal Mask of Courage";
		
			Attributes.BonusStr = 5;
			Attributes.RegenStam = 1;
		}

		public MaskOfCourage( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}